/* Install INETLOG on the desktop */
Trace 'N'
Parse Source . . ourname .
ourdir = Strip(Filespec('D', ourname) || Filespec('P', ourname), 'T', '\')
classname = 'WPProgram'
location = '<WP_DESKTOP>'
title = 'IAK Log^Analyzer'
obj = 'OBJECTID=<INetLog>;'
iconfile = 'ICONFILE=' || ourdir || '\INETLOG.ICO;'
exename = 'EXENAME=' || ourdir || '\INETLOG.CMD;'
startupdir = 'STARTUPDIR=' || ourdir || ';'
setup = obj || iconfile || exename || startupdir


Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

If SysCreateObject(classname,title,location,setup,'U') Then Do
   Say 'INETLOG object created successfully'
   rc = SysMkDir(ourdir || '\DATA')
End
Else Say 'INETLOG object creation unsuccessful'

Call SysDropFuncs

Exit