/* EOFDEL.CMD Chuck McKinnis
   Delete E-O-F's (26 decimal or 1A hex or Control-Z)
   Syntax:  eofdel inputfile outputfile */

   eof = D2c(26)
   found = 0

   Parse Arg inputfile outputfile
   Call File_cmd inputfile, 'R'
   Call File_cmd outputfile, 'W'

   Do While Chars(inputfile) > 0
      datachar = CharIn(inputfile)
      If datachar = eof Then Do
         found = found + 1
         Iterate
         End
      Call Charout outputfile, datachar
      End
   Call File_cmd inputfile, 'C'
   Call File_cmd outputfile, 'C'
   Say 'EOF characters found =' found
   Exit

File_cmd:  /* performs common Stream commands and returns 1 if successful */
   Procedure
   trace_value = Trace()
   Trace 'N'
   Parse Arg file_name, command
   Select
      When command = 'X' Then action = 'QUERY EXISTS'
      When command = 'C' Then action = 'CLOSE'
      When command = 'W' Then action = 'OPEN WRITE'
      When command = 'R' Then action = 'OPEN READ'
      Otherwise Return 0
      End
   Call Stream file_name, 'C', action
   If command = 'X' Then answer = Value(result <> '')
   Else answer = Abbrev(result,'READY')
   Trace (trace_value)
   Return answer



